# CEGUI::PropertyInitialiser Class Reference

Class that holds information about a property and it's required initial value. More...

Collaboration diagram for CEGUI::PropertyInitialiser:

[legend]
List of all members.

## Public Member Functions

| PropertyInitialiser (const String &property, const String &value)
| Constructor.
void | apply (PropertySet &target) const
| Apply this property initialiser to the specified target CEGUI::PropertySet object.
const String & | getTargetPropertyName () const
| Return the name of the property targetted by this PropertyInitialiser.
const String & | getInitialiserValue () const
| Return the value string to be set on the property targetted by this PropertyInitialiser.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this PropertyInitialiser to out_stream.

## Detailed Description

Class that holds information about a property and it's required initial value.

## Constructor & Destructor Documentation

CEGUI::PropertyInitialiser::PropertyInitialiser | ( | const String & | property,
|  | const String & | value
| ) |

Constructor.

Parameters:

  | property | String holding the name of the property targetted by this PropertyInitialiser.
  | value | String holding the value to be set by this PropertyInitialiser.

## Member Function Documentation

void CEGUI::PropertyInitialiser::apply | ( | PropertySet & | target | ) | const

Apply this property initialiser to the specified target CEGUI::PropertySet object.

Parameters:

  | target | CEGUI::PropertySet object to be initialised by this PropertyInitialiser.

Returns:
  Nothing.

const String & CEGUI::PropertyInitialiser::getInitialiserValue | ( |  | ) | const

Return the value string to be set on the property targetted by this PropertyInitialiser.

Returns:
  String object holding the value string.

const String & CEGUI::PropertyInitialiser::getTargetPropertyName | ( |  | ) | const

Return the name of the property targetted by this PropertyInitialiser.

Returns:
  String object holding the name of the target property.

void CEGUI::PropertyInitialiser::writeXMLToStream | ( | OutStream & | out_stream | ) | const

Writes an xml representation of this PropertyInitialiser to out_stream.

Parameters:

  | out_stream | Stream where xml data should be output.

Returns:
  Nothing.